quarta-feira, 8 de abril de 2009

Software de monitoramento da HP rodando no Debian. Sim, agora é possível !!!


Essa semana me deparei com uma situação que me deu bastante trabalho e que deve atormentar a vida de muita gente: tive a necessidade de instalar os softwares de monitoramento dos servidores HP Proliant no Debian.

Para começar, a HP até um tempo atrás não dava suporte para essa distribuição. Para minha sorte, parece que isso está mudando, pois já existem pacotes compatíveis desde a versão Sarge. De qualquer maneira, como já esperado, o suporte para Debian não é tratado da mesma maneira que para Red Hat e Suse (Veja mais aqui. Pacotes para Debian não são "Vendor certified and HP supported").

Como queria pacotes para Debian 5, meu trabalho para fazer o download dos mesmos estava recém começando. Devido a um erro lamentável no site da HP (uma provável falta de indexação ou atualização), se você pesquisar por Debian, não encontrará referências do software para o Debian 5. Após alguma procura, achei em outro site a referência para tal página e baixei os softwares. Interessante é que na versão do Debian 5 a HP disponibiliza uma ISO que traz os pacotes em versões i386 e amd64 que podem ser instalados via apt-get install se você adicionar o CD nas configuração do seu repositório apt-cdrom add (apt-cdrom add).

Até aí, quase tudo bem. Mas então vem a parte "triste" da história. O pacote do hpsmh (a interface web de gerenciamento e monitoramento) disponível apresenta problemas em ambas as versões (i386 e amd64).

O que acontece é que ao instalar o mesmo, você se depara com um série de erros, entre os quais a falta do script de inicialização do serviço, e confesso que mais esses problemas me deixaram bastante frustrado.

Decidi então entrar em contato com o mantenedor do pacote (André Rabelo) e enviei um e-mail para o mesmo. Sinceramente pensei que meu e-mail seria enviado para /dev/null, mas fui surpreendido com a resposta de Otávio Cordeiro, menos de 2 horas depois, onde consta o seguinte:

"Olá Marcelo,

O projeto agora está na Índia, e acredito que existam outras builds mais recentes depois desta que tens.

Consegui reproduzir o problema aqui e, aparentemente, a versão 2.1.11.191 não apresenta o mesmo.

Gostarias de fazer um downgrade enquanto eu descubro o motivo do problema?

Att.,
OC"
Tenho de confessar que fiquei muito feliz e surpreso com o ótimo atendimento recebido e com o interesse da HP e de seus funcionários em resolver o meu problema (que  já deve ter afetado várias outras pessoas por aí).

De momento vou tentar o downgrade sugerido, mas vou ficar no aguardo da versão que corrige o problema encontrado. Assim que tiver novas notícias, postarei novamente no blog para que caso outras pessoas passem pela mesma situação, saibam como resolver essa questão.

Parabéns para HP e sua equipe. Que continuem cada vez mais direcionados para o software livre e que também continuem prestando um atendimento de ótima qualidade.

UPDATE 15/09/09: Baixe o software para Debian Lenny aqui. Os scripts de inicialização que não são instalados corretamente pelos pacotes podem ser baixados aqui.